﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace RoboRaceUser
{
    public partial class ServerConnect : Form
    {
        public ServerConnect()
        {
            InitializeComponent();
        }

        public string server = null;

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                server = textBox1.Text;
                if (string.IsNullOrWhiteSpace(server))
                    throw new Exception("Chybný server!");
                if (server.Last() == '/')
                    server = server.Substring(0, server.Length - 1);
                if (!string.IsNullOrWhiteSpace(textBox2.Text))
                    server += ":" + textBox2.Text;
                server += "/";
                WebRequest req = WebRequest.Create(server);                
                WebResponse res = req.GetResponse();
                res.Close();
                this.Close();
            }
            catch (Exception error)
            {
                MessageBox.Show(error.Message, "ConnectionError", MessageBoxButtons.OK, MessageBoxIcon.Error);
                server = null;
                return;
            }
        }
    }
}
